define([
    "../../widgets/_ComplexValueWidget",
    "dojo/_base/declare",
    "dojo/date",
    "dojo/text!./templates/SurveyRunWidget.html"
], function(_ComplexValueWidget, declare, date, template) {
    return declare([_ComplexValueWidget],{
        templateString: template,
        postCreate: function() {
            var endDateBox = this.endDateBox;
            this.own(this.startDateBox.on('change', function(value){
                endDateBox.constraints.min  = value;
            }));
        },
        _getValueAttr: function() {
            var value = this.inherited(arguments);
            if ( !value.startDate ) { delete value.startDate; }
            if ( !value.endDate ) { delete value.endDate; }
            value.respondentCanDeleteOwnResponse =
                value.respondentCanDeleteOwnResponse.length > 0;
            return value;
        },
        _setValueAttr: function(value) {
            value.respondentCanDeleteOwnResponse =
                value.respondentCanDeleteOwnResponse ? ["on"] : [];
            this.inherited(arguments);
        }
    });
});
