define([
    "../app/Page",
    "../app/Router",
    "../model/classes/questions",
    "../model/classes/surveys",
    "dojo/_base/declare",
    "dojo/text!./templates/index.html"
], function(Page, Router, questions, surveys, declare, template) {
    return declare([Page],{
        templateString: template,
        selectedObject: null,
        startup: function() {
            if ( this._started ) { return; }
            this.inherited(arguments);
            //this.btnContentCreate.on("click",function(){ Router.go("/sessions"); });
            //this.btnContentFacilitate.on("click",function(){ Router.go("/run"); });
            this.own(this.btnSurveys.on("click",function(){
                Router.go(surveys.getCollectionPath());
            }));
            this.own(this.btnQuestions.on("click",function(){
                Router.go(questions.getCollectionPath());
            }));
            //this.btnApplications.on("click",function(){Router.go("/applications");});
            //this.btnDashboards.on("click",function(){ Router.go("/dashboards"); });
            //this.btnResults.on("click",function(){ Router.go("/results"); });
        }
    });
});
